Manipuladores de notificação

GET https://laudits.com/api/notification-handlers/
curl --request GET \
--url 'https://laudits.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parâmetros Detalhes Descrição
search Opcional String A string de busca.
search_by Opcional String Qual campo você está pesquisando? Os valores permitidos são: name.
is_enabled Opcional Boolean
type Opcional String Qual campo você está pesquisando? Os valores permitidos são: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id.
datetime_field Opcional String Valores permitidos: datetime, last_datetime
datetime_start Opcional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Opcional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Opcional String Qual campo ordenar os resultados. Os valores permitidos são: notification_handler_id, datetime, last_datetime, name.
order_type Opcional String A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente e DESC para ordenação descendente.
page Opcional Inteiro O número da página de onde você deseja os resultados. O padrão é 1.
results_per_page Opcional Inteiro Quantos resultados você deseja por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-04-26 16:42:34",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://laudits.com/api/notification-handlers?page=1",
        "last": "https://laudits.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://laudits.com/api/notification-handlers?page=1"
    }
}
GET https://laudits.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://laudits.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-04-26 16:42:34",
    }
}
POST https://laudits.com/api/notification-handlers
Parâmetros Detalhes Descrição
name Requerido String -
type Requerido String Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id
email Opcional String Disponível quando: type = email Email
webhook Opcional String Disponível quando: type = webhook Webhook URL
slack Opcional String Disponível quando: type = slack Slack webhook URL
discord Opcional String Disponível quando: type = discord Discord webhook URL
telegram Opcional String Disponível quando: type = telegram Telegram API Token
telegram_chat_id Opcional String Disponível quando: type = telegram Telegram Chat ID
microsoft_teams Opcional String Disponível quando: type = microsoft_teams Microsoft Teams webhook URL
google_chat Opcional String Disponível quando: type = google_chat Google Chat webhook URL
x_consumer_key Opcional String Disponível quando: type = x Telegram API Token
x_consumer_secret Opcional String Disponível quando: type = x Telegram API Token
x_access_token Opcional String Disponível quando: type = x Telegram API Token
x_access_token_secret Opcional String Disponível quando: type = x Telegram API Token
push_subscriber_id Opcional String Disponível quando: type = push_subscriber_id Push subscriber
twilio Opcional String Disponível quando: type = twilio Phone number
twilio_call Opcional String Disponível quando: type = twilio_call Phone number
whatsapp Opcional String Disponível quando: type = whatsapp Phone number
curl --request POST \
--url 'https://laudits.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://laudits.com/api/notification-handlers/{notification_handler_id}
Parâmetros Detalhes Descrição
name Opcional String -
type Opcional String Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id
email Opcional String Disponível quando: type = email Email
webhook Opcional String Disponível quando: type = webhook Webhook URL
slack Opcional String Disponível quando: type = slack Slack webhook URL
discord Opcional String Disponível quando: type = discord Discord webhook URL
telegram Opcional String Disponível quando: type = telegram Telegram API Token
telegram_chat_id Opcional String Disponível quando: type = telegram Telegram Chat ID
microsoft_teams Opcional String Disponível quando: type = microsoft_teams Microsoft Teams webhook URL
google_chat Opcional String Disponível quando: type = google_chat Google Chat webhook URL
x_consumer_key Opcional String Disponível quando: type = x Telegram API Token
x_consumer_secret Opcional String Disponível quando: type = x Telegram API Token
x_access_token Opcional String Disponível quando: type = x Telegram API Token
x_access_token_secret Opcional String Disponível quando: type = x Telegram API Token
push_subscriber_id Opcional String Disponível quando: type = push_subscriber_id Push subscriber
twilio Opcional String Disponível quando: type = twilio Phone number
twilio_call Opcional String Disponível quando: type = twilio_call Phone number
whatsapp Opcional String Disponível quando: type = whatsapp Phone number
is_enabled Opcional Boolean -
curl --request POST \
--url 'https://laudits.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://laudits.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://laudits.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \